.navbar {
  position: fixed;
  top: 8px;
  left: 50%;
  transform: translateX(-50%);
  background: #1e1e1e;
  border-radius: 16px;
  z-index: 100;
  padding: 10px;
 
}
.navbar-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.navbar {
  backdrop-filter: blur(10px);
  background: rgba(20,20,20,0.7);
  border: 1px solid rgba(255,255,255,0.08);
}


.menu-items {
  display: flex;
  align-items: center;
  gap: 20px;
  order: 2;
}
.navbar input[type="checkbox"],
.navbar .hamburger-lines{
    display: none;
}


.menu-items li{
    list-style: none;
    margin-left: 1.5rem;
    font-size: 1.1rem;
}

.navbar a{
    color: #ffffff;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
    font-family: Lucida Console;
}



.navbar a:hover {
  transform: translateY(-2px);
  color: #f3efef;
}


.logo-hcmc1{
    width: 35px;
    cursor: pointer;

}
.hcmc-logo{
    display: flex;
    align-items: center;
}
.lang-dropdown {
  position: relative;
  user-select: none;
}

.lang-current {
  background: #f5f5f0;           
  color: #111;
  padding: 8px 18px;
  border-radius: 12px;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
  border: 2px solid #111;
  transition: all 0.3s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  order: 3;
}





.lang-list {
  position: absolute;
  top: 120%;
  right: 0;
  background: #282727;
  border-radius: 10px;
  padding: 6px;
  padding-left: 0%;
  list-style: none;
  min-width: 140px;
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: 0.3s ease;
  box-shadow: 0 10px 25px rgba(0,0,0,0.5);
  z-index: 999;
}


.lang-dropdown.active .lang-list {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}


.lang-list li {
padding-top:7px ;
  border-radius: 10px;
  font-size: 14px;
  font-weight: 500;
  color: #f5f5f0;
  cursor: pointer;
  transition: 0.25s;
  margin-bottom: 12px;
}
html.rtl .menu-items li {
  width: 70px;
}
html.rtl .hcmc-logo {
  margin-left: 40px;
  margin-right: 0;
}
html.rtl .lang-list {
  right: auto;
  left: 0;
  text-align: center;
  order: 3;
}
html.rtl .lang-list li {
  padding-left: 14px;
  padding-right: 10px;
}
@media (max-width: 768px) {
   .logo-hcmc1 {
    
    top: 4px;
    left: 90%;           
    transform: translateX(-50%);
    z-index: 10;
    width: 50px;         
    height: auto;
    display: block;
    cursor: pointer;
    position: fixed;
  }

  
  html[dir="rtl"] .logo-hcmc1 {
    left: 29px;
    right: auto;
    margin-left: 5px;        
  }
}


@media (max-width: 768px){
    .navbar{
        opacity: 1;
        position: fixed;
        margin-top: 10px;
        width: 80%;
        height: 60px;
        position: fixed;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines{
        display: block;
    }

    .navbar-container{
        display: block;
        position: relative;
        height: 64px;
    }

    .navbar-container input[type="checkbox"]{
        position: fixed;
        display: block;
        height: 32px;
        width: 30px;
         margin-left: 12px;
        margin-top: 8px;
        top: 12px;
        left: 0px;
        z-index: 5;
        opacity: 0;
        cursor: pointer;
        background-color: aqua;
       
        
    }

    .navbar-container .hamburger-lines{
        display: block;
        height: 28px;
        width: 35px;
        margin-left: 19px;
        margin-top: 8px;
        top: 12px;
        left: 0px;
        z-index: 2;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        position: fixed;
    }

    .navbar-container .hamburger-lines .line{
        display: block;
        height: 4px;
        width: 100%;
        border-radius: 10px;
        background: #f3efef;
        
    }
    
    .navbar-container .hamburger-lines .line1{
        transform-origin: 0% 0%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar-container .hamburger-lines .line2{
        transition: transform 0.2s ease-in-out;
    }

    .navbar-container .hamburger-lines .line3{
        transform-origin: 0% 100%;
        transition: transform 0.3s ease-in-out;
    }

    .navbar .menu-items{
       width: 100%;
        background: #1e1e1e;
        transform: translate(-150%);
        display: flex;
        flex-direction: column;
        transition: transform 0.5s ease-in-out;
        margin-top: 55px;
        gap: 0px;
        padding-top: 20px;
        border-radius: 15px;
        
    }

    .navbar .menu-items li{
        margin-bottom: 1.8rem;
        font-size: 1.1rem;
        font-weight: 200;
        font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
        text-align: center;
    }

    .lang-list{
       position: absolute; 
       top: -11px;
       right: -143px;
       gap: 0px;
       height: 170px;
    }
    .lang-list li:hover{
        color: #f5fea1;
    }

    .navbar-container input[type="checkbox"]:checked ~ .menu-items{
        transform: translateX(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line1{
        transform: rotate(45deg);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line2{
        transform: scaleY(0);
    }

    .navbar-container input[type="checkbox"]:checked ~ .hamburger-lines .line3{
        transform: rotate(-45deg);
    }

}

@media (max-width: 500px){
    .navbar-container input[type="checkbox"]:checked ~ .logo{
        display: block;
    }
}
/* =========================
   RTL MOBILE NAVBAR FIX
========================= */

@media (max-width: 768px) {

  html[dir="rtl"] .navbar-container input[type="checkbox"] {
    right: 20px;
    left: auto;
  }

  html[dir="rtl"] .navbar-container .hamburger-lines {
    right: 20px;
    left: auto;
    
  }

  html[dir="rtl"] .navbar .menu-items  {
    
    transform: translateX(150%);
    margin-left: 0;
    text-align: right;
  }

  html[dir="rtl"] 
  .navbar-container input[type="checkbox"]:checked ~ .menu-items {
    transform: translateX(0);
  }


  html[dir="rtl"] .navbar .menu-items li {
    text-align: right;
  }
 html[dir="rtl"] .lang-list {
       
       position: absolute; 
       top: -11px;
       right: -143px;
       gap: 0px;
       height: 170px;
 
    }
    .lang-list li:hover{
        color: #e5fe00;
    }



}

@media (max-width: 500px) {
  html[dir="rtl"] 
  .navbar-container input[type="checkbox"]:checked ~ .logo {
    display: none;
  }
   
}
